Subject: bug#60490: 29.0.60; sqlite-mode-open-file fails to work over tramp

From: Mohammed Sadiq <[email-masked]>
Date: Sun, 15 Jan 2023 11:11:49 +0530

On 2023-01-02 18:13, Eli Zaretskii wrote:
> severity 60490 wishlist
> thanks
> 
>> Date: Mon, 02 Jan 2023 16:56:24 +0530
>> From: Mohammed Sadiq <[email-masked]>
>> 
>> Opening sqlite db files from remote system over tramp (with M-x
>> sqlite-mode-open-file) fails with the following error in *Messages*:
>> 
>> sqlite-mode-list-tables: Wrong type argument: sqlitep, nil
> 
> The built-in SQLite support doesn't (yet) support remote DB access.
> So I'm converting this report to a feature request.  Patches welcome.
> 

In that case, it would be better to show a warning message that
it's not supported instead of failing with errors that gives no
hint to the user.

Also, Emacs may also show the related bug number regarding such
issues so that interested users can subscribe to know updates.

thanks,
Mohammed Sadiq